Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

k5
2022-02-28 20:11:11

Bonjour,

Grosse frustration a écrit:

Bonsoir,
Est-ce qu'il est possible de m'indiquer la démarche pour passer de la version 2.2.3 à la version 12 ?

pour passer de 2.2.3 c'est par palier majeur. un exemple
2.2.3 à 2.2.5 puis 2.3.0 puis 2.3.5 puis 2.4.0 puis 2.4.7 puis 2.5.0 puis 2.5.6 puis 2.6.0 puis 2.6.5 puis 2.7.0 puis 2.7.4 puis 2.8.0 puis 2.8.6 puis 2.9.0 puis 2.9.5 puis... etc
pour cela tout est indiqué sur cette page
https://fr.piwigo.org/doc/doku.php?id=u … r_manuelle

Par ailleurs, y a-t-il un manuel d'utilisation de cette nouvelle version ?

D'avance merci

le manuel d'utilisation, vous voulez dire la note de version, elle est là
https://fr.piwigo.org/version-12.0.0
A très vite

k5
2022-02-26 23:07:04
Grosse frustration
2022-02-26 21:50:54

Bonsoir,
Le lien initial vers la doc qui permet de réaliser la migration (https://fr.piwigo.org/doc/doku.php?id=u … ion:free.f) renvoie vers une page "qui n'existe pas encore".

Est-ce qu'il est possible de m'indiquer la démarche pour passer de la version 2.2.3 à la version 12 ?

Par ailleurs, y a-t-il un manuel d'utilisation de cette nouvelle version ?

D'avance merci

ddtddt
2022-01-30 18:21:47

Bonjour

@Thithus
ok


la comme cela je ne sais pas.

Un plugin qui génère une erreur à l'activation c'est souvent un problème d'incohérence avec la base de données et e qu'il y a dans le processus d'installation du plugin.

Une page ou le javasript ne fonctionne pas il y a souvent un message dans la console

Thithus
2022-01-29 21:41:30

ddtddt a écrit:

Bonjour,

dans l'interface de ton navigateur dans la console tu as une erreur ?

dans firefox F12 > console > et F5 pour recharger la page

Bonjour :)

J'ai fait des tas de refreshs en tout genres.

Côté plugins j'ai forcé leur activation via la table SQL phpwb_plugins

En revanche ils y a des plugins qui n'y figurent pas.
J'en ai 22 (pas tous activés) et seulement 19 dans cette table.
Je n'ai pas trouvé dans quelle table on peut activer / désactiver les manquants.

Au final j'ai toujours des soucis, dont des histoires d'appels à des fonctions / templates de menu via "smarty".

J'ai désinstallé réinstallé tous les thèmes.

Au final j'ai toujours des problèmes qui traînent.

=> Je suis revenu en 2.10.2 :( 
J'attendrais une prochaine version de Piwigo :/


Ce n'est donc pas résolu en soit
Le post peut être marqué comme Clos car je n'insiste plus sur cette montée de version.


Merci pour les coups de main ^^"

ddtddt
2022-01-29 07:34:58

Bonjour,

dans l'interface de ton navigateur dans la console tu as une erreur ?

dans firefox F12 > console > et F5 pour recharger la page

Thithus
2022-01-28 19:17:16

Donc, j'ai supprimé tout le contenu de ./piwigo/plugins

J'ai mis ma*  sauvegarde pré-update dedans en FTP

Je suis allé dans l'interface pour mettre à jour les plugins (ça a montré que ça a fonctionné pour chacun)

Je retourne dans l'interface d'activation / désactivation des plugins

et je me retrouve dans le cas de l'image précédente : présentation en colonne et l'activation / désactivation n'est pas prise en compte (tout reste en l'état original)

Thithus
2022-01-28 19:15:29

ddtddt a écrit:

Bonjour

Si tu est retourné en 2.10 il te faut remettre les plugins compatible 2.10.
La gestion de l'entré dans l'admin des plugins n'est plus la même

Donc, j'ai supprimé tout le contenu de ./piwigo/plugins

C'est mis pas sauvegarde pré-update dedans en FTP

Je suis allé dans l'interface pour mettre à jour les plugins (ça a montré que ça a fonctionné pour chacun)

Je retourne dans l'interface d'activation / désactivation des plugins

et je me retrouve dans le cas de l'image précédente : présentation en colonne et l'activation / désactivation n'est pas prise en compte (tout reste en l'état original)

Thithus
2022-01-28 18:39:11

ddtddt a écrit:

Bonjour

Si tu est retourné en 2.10 il te faut remettre les plugins compatible 2.10.
La gestion de l'entré dans l'admin des plugins n'est plus la même

J'ai fait un retour 2.10 + marche avant, je suis en 12.2.0 là

Avant de faire la toute première upadate, j'avais tout d'abord mis à jour les plugins et les ai sauvegardés.

Je vais donc tenter d'écraser le répertoire plugin avec ça (version 2.10 avant toute manip de montée de version), et revoir ce que ça donne ici.

ddtddt
2022-01-28 16:54:42

Bonjour

Si tu est retourné en 2.10 il te faut remettre les plugins compatible 2.10.
La gestion de l'entré dans l'admin des plugins n'est plus la même

Thithus
2022-01-28 16:17:29

Bonjour,

Alors, après marche-arrière et reupgrade, la situation est différente :

Le souci mentionné plus haut est absent (pour le moment ?)

En revanche, je ne peux pas activer mes plugins (qui sont à jour)

Je peux appuyer sur le bouton, qui passe à droite en orange, mais cela n'est ni effectif sur le site, si sauvegardé (si je sors et reviens sur les plugins, tout reste comme au 1ère chargement, rien ne peut être activé ou désactivé)

Je n'ai pas trouvé d'où ça peut provenir :-/

J'observe aussi que la présentation se fait en  colonne alors qu'elle se faisait en tableau avant (voir capture d'écran plus haut dans le fil)

https://i.postimg.cc/XrcMbLwh/image.png

@ddtddt @k5 si vous êtes toujours par là ? :)

Thithus
2022-01-25 20:11:25

Thithus a écrit:

./piwigo/themes/default/template/configuration_default.tpl

Correction (+admin)
./piwigo/themes/admin/default/template/configuration_default.tpl

Thithus
2022-01-25 19:17:24

Retour arrière fonctionnel

J'ai pu observer qu'un fichier sur le serveur avant retour arrière était vide

https://i.postimg.cc/PC7yCB0G/Capture-d-cran-2022-01-25-18-42-30.png


Free étant tatillon sur les FTP par milliers de fichier, je retenterai un upgrade en faisant particulièrement attention à ce ficher là.


./piwigo/themes/default/template/configuration_default.tpl

Thithus
2022-01-25 18:11:33

Bonjour,

J'ai désactivé tous mes thèmes, sauf Smart Pocket
J'ai installé de nouveaux thèmes que je n'avais jamais utilisé
A savoir : BlancMont XL ; Grum Dark II ; Luciano Amodio ; Modus

Tous ont le même comportement.

Je vais m'orienter sur un retour arrière, en espérant que ça se passe bien ^^"

ddtddt
2022-01-21 17:52:05

Bonjour,

je dirais si cela fonctionne avec smart pocket c'est que le problème vient du thème ?

suppression du thème par FTP

et envoie du thème à jour

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact